/*
 * Message.h
 *
 * Copyright 2001, 2004 by Anthony Howe. All rights reserved.
 */

#ifndef __com_snert_lib_io_Message_h__
#define __com_snert_lib_io_Message_h__	1

#ifndef BUF
#include <stdio.h>
#endif

#ifndef __com_snert_lib_util_JavaTime_h__
#include <com/snert/lib/util/JavaTime.h>
#endif

typedef void *Message;

#ifdef __cplusplus
extern "C" {
#endif

extern Message MessageCreate(long);
extern Message MessageClone(Message);
extern Message MessageFromMessage(Message);
extern Message MessageFromString(const char *);
extern Message MessageFromBytes(unsigned char *, long);
extern void MessageFree(Message);
extern long MessageHashCode(Message);
extern int MessageEquals(Message, Message);

extern long MessageLength(Message);
extern JavaTime MessageGetDateCreated(Message);
extern JavaTime MessageGetDateSent(Message);
extern JavaTime MessageGetDateReceived(Message);

extern unsigned char *MessageGetContent(Message);
extern char *MessageToString(Message);

extern int MessageSetContent(Message, unsigned char *, long);
extern Message MessageRead(Message, FILE *);
extern int MessageWrite(Message, FILE *);
extern int MessageWriteString(unsigned char *, FILE *);
extern Message MessageReadFd(Message, int);
extern int MessageWriteFd(Message, int);
extern int MessageWriteStringFd(unsigned char *, int);
extern Message MessageReceiveFd(Message, int);
extern int MessageSendFd(Message, int);
extern int MessageSendStringFd(unsigned char *, int);
extern int MessageIsWaitingFd(int);

#ifdef  __cplusplus
}
#endif

#endif /* __com_snert_lib_io_Message_h__ */
