/*
 * parsePath.h
 *
 * Copyright 2002, 2004 by Anthony Howe. All rights reserved.
 */

#ifndef __com_snert_lib_mail_parsePath_h__
#define __com_snert_lib_mail_parsePath_h__	1

#ifdef __cplusplus
extern "C" {
#endif

typedef struct {
	/*@observer@*/ char *string;
	long length;
} string;

typedef struct {
	int isLocal;		/* True if the address appears to be local.
				 * Not set by parsePath(), but used by the
				 * caller as a convience variable.
				 */
	int isDomainAnIP;	/* Trus for "[1.2.3.4]" style domain. */
	string address;		/* Original address found between < and >. */
	string localLeft;	/* Lower cased local part left of + or @. */
	string localRight;	/* Lower cased local part right of +. */
	string domain;		/* Lower cased domain name after @. */
} ParsePath;

/*@-exportlocal@*/

extern int findInnerPath(/*@returned@*/ const char *path, /*@out@*/ const char **start, /*@out@*/ const char **stop);
extern long formatPath(/*@unique@*/ char *buffer, long length, const char *fmt, ParsePath *p);
extern /*@observer@*//*@null@*/ const char *parsePath(const char *path, int dots, /*@out@*/ ParsePath **out);

/*@=exportlocal@*/

#ifdef  __cplusplus
}
#endif

#endif /* __com_snert_lib_mail_parsePath_h__ */
