/*
 * DebugMalloc.h
 *
 * Copyright 2003, 2004 by Anthony Howe.  All rights reserved.
 */

#ifndef __com_snert_lib_util_DebugMalloc_h__
#define __com_snert_lib_util_DebugMalloc_h__		1

#ifdef __cplusplus
extern "C" {
#endif

extern void  DebugFree(void *chunk, char *file, long line);
extern void *DebugMalloc(long size, char *file, long line);
extern void *DebugCalloc(long n, long size, char *file, long line);
extern void *DebugRealloc(void *chunk, long size, char *file, long line);

#ifdef DEBUG_MALLOC_TRACE_CALLER

#define free(p)		DebugFree(p, __FILE__, __LINE__)
#define malloc(n)	DebugMalloc(n, __FILE__, __LINE__)
#define calloc(m, n)	DebugCalloc(m, n, __FILE__, __LINE__)
#define realloc(p, n)	DebugRealloc(p, n, __FILE__, __LINE__)

#else

#include <sys/types.h>

extern void free(void *);
extern void *malloc(size_t n);
extern void *calloc(size_t m, size_t n);
extern void *realloc(void *p, size_t n);

#endif

#ifdef  __cplusplus
}
#endif

#endif /* __com_snert_lib_util_DebugMalloc_h__ */
