/*
 * setBitWord.c
 *
 * Copyright 2004 by Anthony Howe.  All rights reserved.
 */

#include <stdlib.h>
#include <string.h>

#include <com/snert/lib/util/Text.h>
#include <com/snert/lib/util/setBitWord.h>

/***********************************************************************
 *** 
 ***********************************************************************/

unsigned long
setBitWord(struct bitword *bits, const char *detail)
{
	long i;
	Vector words;
	char *stop, *word;
	struct bitword *p;
	unsigned long flags;
	
	flags = (unsigned long) strtol(detail, &stop, 0);	
	if (*stop == '\0')
		return flags;
	
	if ((words = TextSplit(detail, ",", 0)) == NULL)
		return 0;

	for (i = 0; i < VectorLength(words); i++) {
		word = VectorGet(words, i);
		for (p = bits; p->bit != 0; p++) {
			if (TextInsensitiveCompare(word, p->name) == 0) {
				flags |= p->bit;
				break;
			}
		}
	}
	
	VectorDestroy(words);
	
	return flags;
}
